Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.core
Class RequestDecoratorMapper

    java.lang.Object
      com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
          org.meshcms.core.RequestDecoratorMapper

All Implemented Interfaces:
  com.opensymphony.module.sitemesh.DecoratorMapper

public class RequestDecoratorMapper
extends com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper

Will look at a request attribute to find the name of an appropriate decorator to use. If the request attribute is not present, the mapper will not do anything and allow the next mapper in the chain to select a decorator.

By default, it will look at the 'decorator' session attribute, however this can be overriden by configuring the mapper with a 'decorator.parameter' property.

Author:
  Ricardo Lecheta

Field Summary

Fields inherited from class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
`config, parent`

Constructor Summary
`RequestDecoratorMapper()`

Method Summary
`com.opensymphony.module.sitemesh.Decorator` | `getDecorator(javax.servlet.http.HttpServletRequest request, com.opensymphony.module.sitemesh.Page page)`
`void` | `init(com.opensymphony.module.sitemesh.Config config, java.util.Properties properties, com.opensymphony.module.sitemesh.DecoratorMapper parent)`

Methods inherited from class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
`getNamedDecorator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestDecoratorMapper

    public RequestDecoratorMapper()

Method Detail

### init

    public void init(com.opensymphony.module.sitemesh.Config config,
                     java.util.Properties properties,
                     com.opensymphony.module.sitemesh.DecoratorMapper parent)
              throws java.lang.InstantiationException

  Throws:
    `java.lang.InstantiationException`

### getDecorator

    public com.opensymphony.module.sitemesh.Decorator getDecorator(javax.servlet.http.HttpServletRequest request,
                                                                   com.opensymphony.module.sitemesh.Page page)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD